export type MintNftInput = {
    fromChainId: number;
    contractAddress: string;
    recipient: string;
    tokenId: string;
};
export type ApproveNftInput = {
    fromChainId: number;
    contractAddress: string;
    spender: string;
    tokenId: string;
};
export type MintNftWrapperInput = {
    nftBridgeAddress: string;
    wrapperTokenId: string;
    fromChainId: number;
    serialNumber: string;
    supportedChains: number[];
    wrapperTokenIdNonce: number;
};
export type ReclaimNftWrapperInput = {
    nftBridgeAddress: string;
    nftTokenAddress: string;
    tokenId: string;
    fromChainId: number;
    serialNumber: string;
    supportedChainIds: number[];
    wrapperTokenIdNonce: number;
};
export type SendNftInput = {
    fromChainId: number;
    nftBridgeAddress: string;
    contractAddress: string;
    tokenId: string;
    supportedChainIds: number[];
    toChainId: number;
    recipient: string;
    wrapperTokenIdNonce: number;
};
export type SendNftWrapperInput = {
    nftBridgeAddress: string;
    wrapperTokenId: string;
    fromChainId: number;
    serialNumber: string;
    supportedChainIds: number[];
    initialRecipient: string;
    toChainId: number;
    recipient: string;
    wrapperTokenIdNonce: number;
};
export declare class Nft {
    network: string;
    constructor(network?: string);
    populateTransaction: any;
    mintNftWrapper(input: MintNftWrapperInput): {
        to: string;
        data: string;
    };
    reclaimNftWrapper(input: ReclaimNftWrapperInput): {
        to: string;
        data: string;
    };
    sendNft(input: SendNftInput): {
        to: string;
        data: string;
    };
    sendNftWrapper(input: SendNftWrapperInput): {
        to: string;
        data: string;
        value: string;
    };
}
//# sourceMappingURL=Nft.d.ts.map