import { Filter } from '@ethersproject/abstract-provider';
import { providers } from 'ethers';
export type Options = {
    provider: providers.Provider;
    batchBlocks?: number;
};
export type FetchOptions = {
    fromBlock: number;
    toBlock: number;
};
export type InputFilter = {
    address: string;
    topics: (string | string[])[];
};
export declare class EventFetcher {
    provider: providers.Provider;
    batchBlocks: number;
    constructor(options: Options);
    fetchEvents(filters: InputFilter[], options: FetchOptions): Promise<any[]>;
    getChunkedBlockRanges(fromBlock: number, toBlock: number): number[][];
    aggregateFilters(filters: InputFilter[], options: FetchOptions): Filter[];
    private fetchEventsWithAggregatedFilters;
    private normalizeEvents;
    private parallelFetch;
    private sortByBlockNumber;
}
//# sourceMappingURL=eventFetcher.d.ts.map