"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BundleForwardedEventFetcher = void 0;
const HubMessageBridge_json_1 = __importDefault(require("@hop-protocol/v2-core/abi/generated/HubMessageBridge.json"));
const Event_1 = require("./Event");
const HubMessageBridge__factory_1 = require("@hop-protocol/v2-core/contracts/factories/generated/HubMessageBridge__factory");
const ethers_1 = require("ethers");
class BundleForwardedEventFetcher extends Event_1.Event {
    constructor() {
        super(...arguments);
        this.eventName = 'BundleForwarded';
    }
    getFilter() {
        const hubMessageBridge = HubMessageBridge__factory_1.HubMessageBridge__factory.connect(this.address, this.provider);
        const filter = hubMessageBridge.filters.BundleForwarded();
        return filter;
    }
    async getEvents(startBlock, endBlock) {
        const filter = this.getFilter();
        return this._getEvents(filter, startBlock, endBlock);
    }
    toTypedEvent(ethersEvent) {
        const iface = new ethers_1.ethers.utils.Interface(HubMessageBridge_json_1.default);
        const decoded = iface.parseLog(ethersEvent);
        const bundleId = decoded.args.bundleId.toString();
        const bundleRoot = decoded.args.bundleRoot.toString();
        const fromChainId = Number(decoded.args.fromChainId.toString());
        const toChainId = Number(decoded.args.toChainId.toString());
        return {
            eventName: this.eventName,
            eventLog: ethersEvent,
            bundleId,
            bundleRoot,
            fromChainId,
            toChainId
        };
    }
}
exports.BundleForwardedEventFetcher = BundleForwardedEventFetcher;
