import { BigNumber } from 'ethers';
import { Event } from './Event';
import { EventBase } from './types';
export interface BundleReceived extends EventBase {
    bundleId: string;
    bundleRoot: string;
    bundleFees: BigNumber;
    fromChainId: number;
    toChainId: number;
    relayWindowStart: number;
    relayer: string;
}
export declare class BundleReceivedEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/HubMessageBridge").BundleReceivedEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<BundleReceived[]>;
    toTypedEvent(ethersEvent: any): BundleReceived;
}
//# sourceMappingURL=BundleReceived.d.ts.map