"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BundleSetEventFetcher = void 0;
const SpokeMessageBridge_json_1 = __importDefault(require("@hop-protocol/v2-core/abi/generated/SpokeMessageBridge.json"));
const Event_1 = require("./Event");
const SpokeMessageBridge__factory_1 = require("@hop-protocol/v2-core/contracts/factories/generated/SpokeMessageBridge__factory");
const ethers_1 = require("ethers");
class BundleSetEventFetcher extends Event_1.Event {
    constructor() {
        super(...arguments);
        this.eventName = 'BundleSet';
    }
    getFilter() {
        const spokeMessageBridge = SpokeMessageBridge__factory_1.SpokeMessageBridge__factory.connect(this.address, this.provider);
        const filter = spokeMessageBridge.filters.BundleSet();
        return filter;
    }
    async getEvents(startBlock, endBlock) {
        const filter = this.getFilter();
        return this._getEvents(filter, startBlock, endBlock);
    }
    toTypedEvent(ethersEvent) {
        const iface = new ethers_1.ethers.utils.Interface(SpokeMessageBridge_json_1.default);
        const decoded = iface.parseLog(ethersEvent);
        const bundleId = decoded.args.bundleId.toString();
        const bundleRoot = decoded.args.bundleRoot.toString();
        const fromChainId = Number(decoded.args.fromChainId.toString());
        return {
            eventName: this.eventName,
            eventLog: ethersEvent,
            bundleId,
            bundleRoot,
            fromChainId
        };
    }
}
exports.BundleSetEventFetcher = BundleSetEventFetcher;
