"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeesSentToHubEventFetcher = void 0;
const SpokeMessageBridge_json_1 = __importDefault(require("@hop-protocol/v2-core/abi/generated/SpokeMessageBridge.json"));
const ethers_1 = require("ethers");
const Event_1 = require("./Event");
const SpokeMessageBridge__factory_1 = require("@hop-protocol/v2-core/contracts/factories/generated/SpokeMessageBridge__factory");
class FeesSentToHubEventFetcher extends Event_1.Event {
    constructor() {
        super(...arguments);
        this.eventName = 'FeesSentToHub';
    }
    getFilter() {
        const spokeMessageBridge = SpokeMessageBridge__factory_1.SpokeMessageBridge__factory.connect(this.address, this.provider);
        const filter = spokeMessageBridge.filters.FeesSentToHub();
        return filter;
    }
    async getEvents(startBlock, endBlock) {
        const filter = this.getFilter();
        return this._getEvents(filter, startBlock, endBlock);
    }
    toTypedEvent(ethersEvent) {
        const iface = new ethers_1.ethers.utils.Interface(SpokeMessageBridge_json_1.default);
        const decoded = iface.parseLog(ethersEvent);
        const amount = decoded.args.amount;
        return {
            eventName: this.eventName,
            eventLog: ethersEvent,
            amount
        };
    }
}
exports.FeesSentToHubEventFetcher = FeesSentToHubEventFetcher;
