"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenConfirmedEventFetcher = void 0;
const ERC721Bridge_json_1 = __importDefault(require("@hop-protocol/v2-core/abi/generated/ERC721Bridge.json"));
const ERC721Bridge__factory_1 = require("@hop-protocol/v2-core/contracts/factories/generated/ERC721Bridge__factory");
const Event_1 = require("../Event");
const ethers_1 = require("ethers");
class TokenConfirmedEventFetcher extends Event_1.Event {
    constructor() {
        super(...arguments);
        this.eventName = 'TokenConfirmed';
    }
    getFilter() {
        const nftBridge = ERC721Bridge__factory_1.ERC721Bridge__factory.connect(this.address, this.provider);
        const filter = nftBridge.filters.TokenSent();
        return filter;
    }
    async getEvents(startBlock, endBlock) {
        const filter = this.getFilter();
        return this._getEvents(filter, startBlock, endBlock);
    }
    toTypedEvent(ethersEvent) {
        const iface = new ethers_1.ethers.utils.Interface(ERC721Bridge_json_1.default);
        const decoded = iface.parseLog(ethersEvent);
        const tokenId = decoded.args.tokenId.toString();
        return {
            eventName: this.eventName,
            eventLog: ethersEvent,
            tokenId
        };
    }
}
exports.TokenConfirmedEventFetcher = TokenConfirmedEventFetcher;
