"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProvider = void 0;
const networks_1 = require("@hop-protocol/v2-core/networks");
const ethers_1 = require("ethers");
function getProvider(network, chainId) {
    var _a, _b;
    let rpcUrl;
    if (network === 'goerli') {
        rpcUrl = (_a = networks_1.goerliNetworks[chainId]) === null || _a === void 0 ? void 0 : _a.publicRpcUrl;
    }
    else if (network === 'mainnet') {
        rpcUrl = (_b = networks_1.mainnetNetworks[chainId]) === null || _b === void 0 ? void 0 : _b.publicRpcUrl;
    }
    else {
        throw new Error(`Invalid network: ${network}`);
    }
    if (!rpcUrl) {
        throw new Error(`Invalid chainId: ${chainId}`);
    }
    return new ethers_1.providers.JsonRpcProvider(rpcUrl);
}
exports.getProvider = getProvider;
